These are chat archives for stealjs/steal

20th
Dec 2016
Chasen Le Hara
@chasenlehara
Dec 20 2016 00:00
With npm, you would install steal-css and use the plugins config: http://stealjs.com/docs/npm.html#packagestealplugins
Looking over Steal’s Bower docs, it doesn’t look like plugins is documented: http://stealjs.com/docs/bower.html
This is probably a bug, but @matthewp can probably give some better guidance tomorrow.
Eric Johnson
@ej020586
Dec 20 2016 00:03
@chasenlehara thanks, I'm going to comment it out in the bower.json for now and then revisit when I get some help
Chasen Le Hara
@chasenlehara
Dec 20 2016 00:03
👍
Gira Minus
@gKreator
Dec 20 2016 01:21
blob
Randomly started having this issue
welll... after fresh npm install
Gira Minus
@gKreator
Dec 20 2016 01:50
never mind fixed it
Kevin Phillips
@phillipskevin
Dec 20 2016 01:50
does that file exist @gKreator ?
Gira Minus
@gKreator
Dec 20 2016 01:50
nope
Kevin Phillips
@phillipskevin
Dec 20 2016 01:50
what was the issue?
just didn’t install correctly?
Gira Minus
@gKreator
Dec 20 2016 01:50
nope it was an issue with a compute
blob
Kevin Phillips
@phillipskevin
Dec 20 2016 01:51
and it gave that error?
Gira Minus
@gKreator
Dec 20 2016 01:51
somehow yes
Kevin Phillips
@phillipskevin
Dec 20 2016 01:51
if you change it back, you get that error again?
that doesn’t look like it should cause an issue
Gira Minus
@gKreator
Dec 20 2016 01:52
if i change it back... i dont have the error but my app just dies, because no can-imports work
none of the can-import {{#if isResolved}} render anything
Kevin Phillips
@phillipskevin
Dec 20 2016 01:54
do you have can-util 3.2.0?
Gira Minus
@gKreator
Dec 20 2016 01:54
yes
Kevin Phillips
@phillipskevin
Dec 20 2016 01:54
ok
@matthewp was working on getting better errors from can-view-import
well, making sure that errors are logged at all
obviously that error message is not useful
Gira Minus
@gKreator
Dec 20 2016 01:57
Yeah, it seems like anything that crashes under can-view-import... the error reporting that happens is sooo ambiguous
Kevin Phillips
@phillipskevin
Dec 20 2016 01:57
yeah, we definitely need to make that better
can you open an issue?
Gira Minus
@gKreator
Dec 20 2016 01:57
yup
Kevin Phillips
@phillipskevin
Dec 20 2016 01:58
whatever info you can give about that header code would help
any time you see error messages that don’t make any sense, feel free to open an issue
Gira Minus
@gKreator
Dec 20 2016 01:59
I think I would have opened over 100 by now lol
Kevin Phillips
@phillipskevin
Dec 20 2016 01:59
that’s good :smile:
well, not good...
if we fixed them all it would be good
Gira Minus
@gKreator
Dec 20 2016 01:59
Yeah I just learned to deal with the fact that if you are using a framework... error reporting goes out the window
Even in server side frameworks in php
blob
How bad is it doing that? lol
It seems like it is bad but it is working...
Kevin Phillips
@phillipskevin
Dec 20 2016 02:04
I don’t think it’s that bad
what makes you feel like it’s bad?
Chasen Le Hara
@chasenlehara
Dec 20 2016 02:04
I wrap modals like that so they’re not in the DOM when they’re not needed. ¯_(ツ)_/¯
Gira Minus
@gKreator
Dec 20 2016 02:05
It seems like it is doing more work then it should... since technically it is calling can-view-import, instead of just re-rendering the template
Kevin Phillips
@phillipskevin
Dec 20 2016 02:05
depends how often your alert is going to be shown
if the majority of the time you’re not showing the alert, then it makes sense not to load it
Gira Minus
@gKreator
Dec 20 2016 02:06
yeah makes sense
Kevin Phillips
@phillipskevin
Dec 20 2016 02:08
and it’s easy enough to change it later if you want to statically import it
Gira Minus
@gKreator
Dec 20 2016 02:08
Yeah that I understand
Gira Minus
@gKreator
Dec 20 2016 02:13
canjs/can-view-import#18
I need to make a jsbin for this
added one more example
Eric Johnson
@ej020586
Dec 20 2016 03:04
I'm bundling using steal-tools and a bower.json file that has a sytem.bowerPath set to "lib" but the bundled / minified file points to bower_components. Not sure if this is a bug or something I don't have configured correctly
Gira Minus
@gKreator
Dec 20 2016 03:05
Which version of steal are you using?
Eric Johnson
@ej020586
Dec 20 2016 03:05
1.0.4
Gira Minus
@gKreator
Dec 20 2016 03:06
try 0.16
Eric Johnson
@ej020586
Dec 20 2016 03:06
ok, what about the steal-tools version?
Gira Minus
@gKreator
Dec 20 2016 03:07
People seem to have allot of issues with steal 1.0
same 0.16
Eric Johnson
@ej020586
Dec 20 2016 03:07
ok
Gira Minus
@gKreator
Dec 20 2016 03:07
"steal": "^0.16.41",
"steal-tools": "^0.16.0",
Gira Minus
@gKreator
Dec 20 2016 03:18
Let me know how that plays out
Eric Johnson
@ej020586
Dec 20 2016 03:18
will do, probably not going to look into it till tomorrow
Gira Minus
@gKreator
Dec 20 2016 03:18
Ok np
Matthew Phillips
@matthewp
Dec 20 2016 14:02
@ej020586 could be a bug, hard to say without more info. Post an issue on steal-tools maybe, if there's a difference between dev and prod.
Matthew Phillips
@matthewp
Dec 20 2016 15:04
Matthew Phillips
@matthewp
Dec 20 2016 18:28
If you've been having issues downloading Steal with Bower, that's now resolved. stealjs/steal#970
Chasen Le Hara
@chasenlehara
Dec 20 2016 18:32
🎉 cc @ej020586
Eric Johnson
@ej020586
Dec 20 2016 20:49
@matthewp thanks
Eric Johnson
@ej020586
Dec 20 2016 21:03
@matthewp or @chasenlehara
not sure who can help me with the other issue I mentioned above
the bundled / minified file still has bower_components as the defined path for all of the modules
I've set bowerPath property in the bower.json
Matthew Phillips
@matthewp
Dec 20 2016 21:56
i don't follow what you mean to be honest
by
" still has bower_components as the defined path for all of the modules"?
what is the problem you're experiencing?
in production it is attempting to load things from bower_components rather than from the bundle, is that the problem?
Matthew Phillips
@matthewp
Dec 20 2016 22:02
If its that a code example would help
if you could post a bug on stealjs/steal I could probably help more